Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface MavenPom

    public interface MavenPom

Is used for generating a Maven pom file and customizing the generation. To learn about the Maven pom see: http://maven.apache.org/pom.html

Method Summary
`MavenPom` | `copy()` Creates a deep copy of a MavenPom
`java.lang.String` | `getArtifactId()`
`java.lang.String` | `getClassifier()`
`java.lang.String` | `getGroupId()`
`java.lang.String` | `getLicenseHeader()`
`java.lang.String` | `getPackaging()`
`Conf2ScopeMappingContainer` | `getScopeMappings()` Returns the scope mappings used for generating this pom.
`java.lang.String` | `getVersion()`
`void` | `setArtifactId(java.lang.String artifactId)` Sets the artifactId property of the to be generated Maven pom.
`void` | `setClassifier(java.lang.String classifier)` Sets the classifier property of the to be generated Maven pom.
`void` | `setGroupId(java.lang.String groupId)` Sets the groupId property of the to be generated Maven pom.
`void` | `setLicenseHeader(java.lang.String licenseHeader)` Sets the licenseHeader property of the to be generated Maven pom.
`void` | `setPackaging(java.lang.String packaging)` Sets the packaging property of the to be generated Maven pom.
`void` | `setVersion(java.lang.String version)` Sets the version property of the to be generated Maven pom.

Method Detail

### getScopeMappings

    Conf2ScopeMappingContainer getScopeMappings()

  Returns the scope mappings used for generating this pom.

### getGroupId

    java.lang.String getGroupId()

  See Also:
    `setGroupId(String)`

### setGroupId

    void setGroupId(java.lang.String groupId)

  Sets the groupId property of the to be generated Maven pom.

### getArtifactId

    java.lang.String getArtifactId()

  See Also:
    `setArtifactId(String)`

### setArtifactId

    void setArtifactId(java.lang.String artifactId)

  Sets the artifactId property of the to be generated Maven pom.

### getVersion

    java.lang.String getVersion()

  See Also:
    `setVersion(String)`

### setVersion

    void setVersion(java.lang.String version)

  Sets the version property of the to be generated Maven pom.

### getClassifier

    java.lang.String getClassifier()

  See Also:
    `setClassifier(String)`

### setClassifier

    void setClassifier(java.lang.String classifier)

  Sets the classifier property of the to be generated Maven pom.

### getPackaging

    java.lang.String getPackaging()

  See Also:
    `setPackaging(String)`

### setPackaging

    void setPackaging(java.lang.String packaging)

  Sets the packaging property of the to be generated Maven pom.

### getLicenseHeader

    java.lang.String getLicenseHeader()

  See Also:
    `setLicenseHeader(String)`

### setLicenseHeader

    void setLicenseHeader(java.lang.String licenseHeader)

  Sets the licenseHeader property of the to be generated Maven pom.

### copy

    MavenPom copy()

  Creates a deep copy of a MavenPom

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD